// START LICENSE
// JSet - a Java JSet card board game implementation
// Copyright (C) 2004 Jerome Lacoste
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// END LICENSE

package org.cb.jset;

/**
 * Exception to symbolize when a set should be matching but is not.
 * 
 * @author jerome@coffeebreaks.org - last modified by $LastChangedBy: jerome $
 * @version $Id: MatchingException.java 83 2004-04-13 13:51:09Z jerome $
 */
public class MatchingException extends java.lang.Exception
{
  /**
   * Constructs an instance of <code>MatchingException</code> with the specified detail message.
   *
   * @param msg the detail message.
   */
  public MatchingException(final String msg)
  {
    super(msg);
  }
}
