// START LICENSE
// JSet - a Java JSet card board game implementation
// Copyright (C) 2004 Jerome Lacoste
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// END LICENSE

package org.cb.jset;

/**
 * Interface to the game.
 *
 * @author jerome@coffeebreaks.org - last modified by $LastChangedBy: jerome $
 * @version $Id: SetGame.java 111 2004-04-14 22:23:22Z jerome $
 */
public interface SetGame
{
  int getID();

  String getName();

  void start();

  SetGameConnection connect(SetGamePlayer player);

  int getMaxNbPlayers();

  int getCurrentNbPlayers();

  // addScoreListener()
  // addBoardDataListener()
  // addPlayerListener()
  // addGameListener()
  // List getCardsOnBoard()
  // List getCardsRemovedFromBoard()
}
