#!/bin/sh
# Regenerates the license header in all java files.
# The script assumes dirname is in src/<smthg>/
# Usage: cleanup_license.sh 

prog_dir=`dirname $0`

# 1- regenerate the java license header
$prog_dir/gen_java_license_header.sh > /tmp/java_license.txt
$prog_dir/remove_trailing_space.sh /tmp/java_license.txt > $prog_dir/java_license_header.txt

# 2- regenerate the header in all java files.
find $prog_dir/.. -name "*.java" -exec $prog_dir/cleanup_license_java.sh {} \;
$prog_dir/cleanup_license_java.sh $prog_dir/../conf/JSetBuild.txt 
