#!/bin/sh
# to be executed with a java file argument.
#
# 1- we first remove everything before the package line.

prog_dir=`dirname $0`
file=$1
tmpfile=$1.tmp


keep_from=`grep -n "^package" $file | cut -d':' -f 1`
if [[ $keep_from = "" ]]; then
  echo couldnt find a line starting with package in $file. Probably not a java file. Exiting.;
  exit -1;
fi

echo "** treating $file $keep_from"

mv $file $tmpfile

cat $prog_dir/java_license_header.txt > $file
echo "" >> $file

tail --lines=+$keep_from $tmpfile >> $file

rm $tmpfile
